POST api/Zapier/InsertNote
Insert notes.
Request Information
URI Parameters
None.
Body Parameters
NoteIntegrationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| database_id | globally unique identifier |
None. |
|
| subject | string |
None. |
|
| insured_database_id | globally unique identifier |
None. |
|
| insured_email | string |
None. |
|
| insured_first_name | string |
None. |
|
| insured_last_name | string |
None. |
|
| insured_commercial_name | string |
None. |
|
| create_date | string |
None. |
|
| creator_name | string |
None. |
|
| type | string |
None. |
|
| parent_note_id | globally unique identifier |
None. |
|
| hide | boolean |
None. |
|
| policy_database_id | globally unique identifier |
None. |
|
| policies_database_ids | Collection of globally unique identifier |
None. |
|
| origin | PolicyOrigin |
None. |
|
| taskId | globally unique identifier |
None. |
|
| is_sticky_note | boolean |
None. |
|
| sticky_note_color | StickyNoteColor |
None. |
|
| opportunity_database_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"database_id": "23732d3d-a1f9-4e85-8493-13a52e02c09e",
"subject": "sample string 2",
"insured_database_id": "7e6d102a-a918-4cbd-90cd-6eec6e96521c",
"insured_email": "sample string 3",
"insured_first_name": "sample string 4",
"insured_last_name": "sample string 5",
"insured_commercial_name": "sample string 6",
"create_date": "sample string 7",
"creator_name": "sample string 8",
"type": "sample string 9",
"parent_note_id": "4f114e83-2159-480e-b33f-2501019579c2",
"hide": true,
"policy_database_id": "427014a0-8f61-4123-898e-ffadc04bfbf7",
"policies_database_ids": [
"f7ad779b-557b-41ec-90f3-93fabc767ad5",
"9efb8620-c794-4602-b948-5588b2a9a9a8"
],
"origin": 0,
"taskId": "a4650c45-6ce5-41a4-9c62-691cfa35eea8",
"is_sticky_note": true,
"sticky_note_color": 0,
"opportunity_database_id": "9431cff4-00df-42b6-ae11-ca7f28d4ff9a"
}
application/xml, text/xml
Sample:
<NoteIntegrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations">
<CreateDate>sample string 7</CreateDate>
<CreatorName>sample string 8</CreatorName>
<DatabaseId>23732d3d-a1f9-4e85-8493-13a52e02c09e</DatabaseId>
<Hide>true</Hide>
<InsuredCommercialName>sample string 6</InsuredCommercialName>
<InsuredDatabaseId>7e6d102a-a918-4cbd-90cd-6eec6e96521c</InsuredDatabaseId>
<InsuredEmail>sample string 3</InsuredEmail>
<InsuredFirstName>sample string 4</InsuredFirstName>
<InsuredLastName>sample string 5</InsuredLastName>
<IsStickyNote>true</IsStickyNote>
<OpportunityDatabaseId>9431cff4-00df-42b6-ae11-ca7f28d4ff9a</OpportunityDatabaseId>
<Origin>Manual</Origin>
<ParentNoteId>4f114e83-2159-480e-b33f-2501019579c2</ParentNoteId>
<PoliciesDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>f7ad779b-557b-41ec-90f3-93fabc767ad5</d2p1:guid>
<d2p1:guid>9efb8620-c794-4602-b948-5588b2a9a9a8</d2p1:guid>
</PoliciesDatabaseIds>
<PolicyDatabaseId>427014a0-8f61-4123-898e-ffadc04bfbf7</PolicyDatabaseId>
<StickyNoteColor>None</StickyNoteColor>
<Subject>sample string 2</Subject>
<TaskId>a4650c45-6ce5-41a4-9c62-691cfa35eea8</TaskId>
<Type>sample string 9</Type>
</NoteIntegrationModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>